Package org.drinkless.tdlib

# Class TdApi.GetCommands

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.BotCommands>
org.drinkless.tdlib.TdApi.GetCommands

Enclosing class:
  TdApi

public static class TdApi.GetCommands extends TdApi.Function<TdApi.BotCommands>
Returns the list of commands supported by the bot for the given user scope and language; for bots only.

Returns `BotCommands`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `languageCode`
  A two-letter ISO 639-1 language code or an empty string.
  `TdApi.BotCommandScope`
  `scope`
  The scope to which the commands are relevant; pass null to get commands in the default bot command scope.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetCommands()`
  Default constructor for a function, which returns the list of commands supported by the bot for the given user scope and language; for bots only.
  `GetCommands(TdApi.BotCommandScope scope, String languageCode)`
  Creates a function, which returns the list of commands supported by the bot for the given user scope and language; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### scope

    public TdApi.BotCommandScope scope
    The scope to which the commands are relevant; pass null to get commands in the default bot command scope.

  - ### languageCode

    public String languageCode
    A two-letter ISO 639-1 language code or an empty string.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetCommands

    public GetCommands()
    Default constructor for a function, which returns the list of commands supported by the bot for the given user scope and language; for bots only.

    Returns `BotCommands`

  - ### GetCommands

    public GetCommands(TdApi.BotCommandScope scope, String languageCode)
    Creates a function, which returns the list of commands supported by the bot for the given user scope and language; for bots only.

    Returns `BotCommands`

    Parameters:
      `scope` - The scope to which the commands are relevant; pass null to get commands in the default bot command scope.
      `languageCode` - A two-letter ISO 639-1 language code or an empty string.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.BotCommands>`
    Returns:
      this.CONSTRUCTOR